# $Revision: 1.17 $, $Date: 2002/02/25 10:31:30 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Font
%define	pnam	AFM
Summary:	Font-AFM perl module
Summary(pl):	Modu perla Font-AFM
Name:		perl-Font-AFM
Version:	1.18
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Font::AFM is an interface to Adobe Font Metrics files.

%description -l pl
Font::AFM jest interfejsem do plikw metryk AFM (Adobe Font Metrics).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%dir %{perl_sitelib}/Font/Metrics
%{perl_sitelib}/Font/Metrics/*.pm
%{perl_sitelib}/Font/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Font-AFM.spec,v $
Revision 1.17  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:14:42  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:26:27  depesz
adapterized

Revision 1.13  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:09:16  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/04 08:21:09  kloczek
- release 5: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.4  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.3  1999/10/30 10:19:59  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- release++

Revision 1.2  1999/09/28 18:50:30  pius
- simplifications in %build

Revision 1.1  1999/09/28 18:21:41  pius
- initial release

based on autogenerated spec from RH
